Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class CachedAttribute

    java.lang.Object
      org.jboss.cache.aop.CachedAttribute

    public class CachedAttribute

extends java.lang.Object

Class represent a class attribute. Currently not in use.

Author:
  Harald Gliebe, Ben Wang

Field Summary
`protected java.lang.reflect.Method` | `get`
`protected java.lang.String` | `name`
`protected java.lang.reflect.Method` | `set`
`protected java.lang.Class` | `type`

Constructor Summary
`CachedAttribute()`
`CachedAttribute(java.lang.String name)`

Method Summary
`java.lang.reflect.Method` | `getGet()`
`java.lang.String` | `getName()`
`java.lang.reflect.Method` | `getSet()`
`java.lang.Class` | `getType()`
`void` | `setGet(java.lang.reflect.Method get)`
`void` | `setSet(java.lang.reflect.Method set)`
`void` | `setType(java.lang.Class type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### type

    protected java.lang.Class type

### get

    protected java.lang.reflect.Method get

### set

    protected java.lang.reflect.Method set

Constructor Detail

### CachedAttribute

    public CachedAttribute()

### CachedAttribute

    public CachedAttribute(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.Class getType()

### setType

    public void setType(java.lang.Class type)

### getGet

    public java.lang.reflect.Method getGet()

### setGet

    public void setGet(java.lang.reflect.Method get)

### getSet

    public java.lang.reflect.Method getSet()

### setSet

    public void setSet(java.lang.reflect.Method set)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.